-         

Ergebnis 1 bis 10 von 10

Thema: RobotLoader möchte "Java 1.6 (Java 6) or later"

  1. #1
    Erfahrener Benutzer Robotik Einstein Avatar von Dirk
    Registriert seit
    30.04.2004
    Ort
    NRW
    Beiträge
    3.791

    RobotLoader möchte "Java 1.6 (Java 6) or later"

    Anzeige

    SMARTPHONES & TABLETS-bis zu 77% RABATT-Kostenlose Lieferung-Aktuell | Cool | Unentbehrlich
    Hi SlyD,

    nach einem automatischen Java-Update auf Version Java 8 Update 5 (64 bit) [und genauso auch bei Jave 7 Update 51] verlangt der RobotLoader 2.5a beim Start immer nach "Java 1.6 (Java 6) or later" und läßt sich nicht benutzen.

    Kann man da was machen?
    Gruß
    Dirk

  2. #2
    Erfahrener Benutzer Robotik Einstein Avatar von Dirk
    Registriert seit
    30.04.2004
    Ort
    NRW
    Beiträge
    3.791
    Ergänzung:

    Nach Downgrade auf Java 7 Udate 45 (damit lief es vorher und immer noch auf meinem 2. PC) verlangt der RobotLoader 2.5a weiterhin nach "Java 1.6 (Java 6) or later".
    Ich habe dann auch den RobotLoader 2.4a probiert: Er meldet das selbe und verabschiedet sich (ruft aber vorher noch die Java Sun Seite auf).
    Gruß
    Dirk

  3. #3
    Erfahrener Benutzer Roboter-Spezialist Avatar von RolfD
    Registriert seit
    07.02.2011
    Beiträge
    414
    Komisch.. ich hab auf win7/64 den Robotloader 2.4a mit Java(64bit) 7u51 und Java(32bit) 7u55 problemlos laufen und es macht auch kein Programm Anstalten, unbedingt geuptatet werden zu wollen (bis auf die avast Systemprüfung, die wegen allem Möglichem immer meckert).
    Gruß
    Sind Sie auch ambivalent?

  4. #4
    Erfahrener Benutzer Roboter Genie Avatar von SlyD
    Registriert seit
    27.11.2003
    Ort
    Paderborn
    Alter
    32
    Beiträge
    1.514
    Hallo Dirk,

    probiers mal mit der .exe im Anhang.
    (in das RobotLoader Verzeichnis kopieren)
    Habe es mit Java 8 ausprobiert, funktioniert bei mir sowohl mit der alten .exe als auch mit dieser hier.
    Mit Java 7 natürlich auch.


    Die nativen Libs für Windows sind für 32 Bit übersetzt, also auf jeden Fall auch die 32 Bit Version des JRE installieren (ob die 64 Bit Version zusätzlich vorhanden ist oder nicht, sollte egal sein).



    @Rolf: Das Update auf eine neue Major Version erfolgt i.d.R. nicht automatisch.


    MfG,
    SlyD
    Angehängte Dateien Angehängte Dateien

  5. #5
    Erfahrener Benutzer Robotik Einstein Avatar von Dirk
    Registriert seit
    30.04.2004
    Ort
    NRW
    Beiträge
    3.791
    Hi SlyD,

    ich habe nochmal Java 7 und 8 komplett runtergeworfen und Version 7 Update 45 als 32-bit installiert.
    Jetzt klappt alles wieder wie vorher, auch mit der Testversion, die aber von Avast und der Windows-Firewall angemeckert wird.

    Vielleicht mein Fehler (?):
    Ich hatte Java 7/51 als 32-bit und Java 8/5 als 64-bit drauf,- vielleicht gab das Probleme?
    Jedenfalls bleibe ich jetzt bei Java 7, 32-bit.

    Danke für die Hilfe!
    Gruß
    Dirk

  6. #6
    Erfahrener Benutzer Roboter Genie Avatar von SlyD
    Registriert seit
    27.11.2003
    Ort
    Paderborn
    Alter
    32
    Beiträge
    1.514
    Hi,

    Zitat Zitat von RolfD Beitrag anzeigen
    (bis auf die avast Systemprüfung, die wegen allem Möglichem immer meckert)
    Zitat Zitat von Dirk Beitrag anzeigen
    die aber von Avast und der Windows-Firewall angemeckert wird.

    evtl. meckert Avast halt einfach gerne?

    Aber gut - da es nun ja wieder funktioniert, einfach die normale Version verwenden.
    Wie gesagt, es läuft auch mit Java 8, 32 Bit - und es dürfen eigentlich auch mehrere JREs und JDKs installiert sein.
    Ich hab hier das JDK 7, JRE 7 und JRE 8 jeweils x32 sowie das JRE 8 x64 installiert (Win7).


    MfG,
    SlyD
    Geändert von SlyD (02.05.2014 um 21:24 Uhr)

  7. #7
    Benutzer Stammmitglied Avatar von Spacy Bar
    Registriert seit
    10.05.2014
    Beiträge
    34
    Hallo in die Runde!

    Sorry, dass ich dieses Thema neu ausgrabe, aber bei mir kommt's auch zum am Anfang genannten Problem: Der RobotLoader beschwert sich, jedoch nicht nach Update, sondern nach der Erstinstallation von JRE 1.8.0_25 auf Windows 8.1 (64-Bit). Ich bin noch Rp6-Noob, ich hoffe ihr könnt mir erklären was der Loader von mir will.

    LG
    Spacy Bar

  8. #8
    Erfahrener Benutzer Robotik Einstein Avatar von Dirk
    Registriert seit
    30.04.2004
    Ort
    NRW
    Beiträge
    3.791
    Also, damals funktionierte bei mir eine Java 64-bit Version nicht unter W7 mit dem RobotLoader.
    Probier mal, JRE 1.8.0_25 als 32-bit Version zu nehmen, vorher die 64-bit Version (falls es die war) wieder deinstallieren.
    Gruß
    Dirk

  9. #9
    Benutzer Stammmitglied Avatar von Spacy Bar
    Registriert seit
    10.05.2014
    Beiträge
    34
    Es funktioniert zumindest soweit, dass er die Benutzeroberfläche anzeigt, jedoch nur mit Java-Exception-Meldung. Der Flash an sich funktioniert noch nicht, ich habe zwar alle Treiber installiert, aber wenn noch Geduld da ist, würde ich mich über eine Erklärung freuen

    LG
    Spacy Bar

    PS: Habe es nun im Kompatibilitätsmodus für Windows XP ausgeführt, die Exceptionmeldung wird nicht mehr angezeigt, das Flashen funktioniert trotzdem nicht
    Geändert von Spacy Bar (16.11.2014 um 20:13 Uhr) Grund: Aktualisierung

  10. #10
    Neuer Benutzer Öfters hier Avatar von JayWay
    Registriert seit
    01.10.2011
    Ort
    Dresden
    Alter
    46
    Beiträge
    19
    Ich hatte vor 2 Tagen, als ich auf einen "neuen" Bastelrechner mit W7-64-bit umgezogen bin, das gleiche Problem.

    Für den Start habe ich mir einfach ein Batch-File angelegt, dass die .jar-Datei direkt mit Java startet:

    Code:
    @echo off
    java -Xmx256m -Djava.library.path="./lib" -jar RobotLoader_lib.jar
    Und dann diese Batch-Datei per Verknüpfung auf den Desktop gelegt. Außerdem mußten die jd2xx.dll, die RXTXcomm.jar und die rxtxSerial.dll im LIB-Verzeichnis des Robotloader durch ihre 64-bit Pendants ersetzt werden.

    Seitdem funktioniert er wieder.

    Ich habe auch einen gepackten Robotloader, falls jemand Bedarf hat.

    Nachtrag: Achso, ich habe nur die JRE 8 x64 installiert.
    Geändert von JayWay (19.11.2014 um 19:23 Uhr)
    Lächle am Morgen, dann hast du es hinter dir.

Ähnliche Themen

  1. Antworten: 10
    Letzter Beitrag: 01.11.2017, 13:53
  2. Grundlagen Schaltungssimulation mit dem "Java Circuit Simulator"
    Von Thomas E. im Forum Artikel / Testberichte / Produktvorstellungen /Grundlagen
    Antworten: 0
    Letzter Beitrag: 05.09.2012, 18:08
  3. Wer kennt sich mit JStamp aus ("Java Controller")?
    Von jörg im Forum Microcontroller allgemeine Fragen/Andere Microcontroller
    Antworten: 2
    Letzter Beitrag: 15.09.2008, 12:57
  4. Antworten: 7
    Letzter Beitrag: 21.04.2005, 13:13
  5. ASM: was machen "swap" und "cbr" genau?
    Von RHS im Forum AVR Hardwarethemen
    Antworten: 3
    Letzter Beitrag: 18.08.2004, 18:16

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •